// generated 2002/10/6 15:34:21 CEST by triendl.kj@triendl.kj.(none)
// using glademm V1.1.1c_cvs
//
// newer (non customized) versions of this file go to CDlgAuthentication.hh_new

// you might replace
//    class foo : public foo_glade { ... };
// by
//    typedef foo_glade foo;
// if you didn't make any modifications to the widget

#ifndef _CDLGAUTHENTICATION_HH
#define _CDLGAUTHENTICATION_HH

#include <gtkmm.h>
#include "fireflierIO.h"
#include "dispatcher.h"


class CDlgAuthentication: public Gtk::Window
{
private:
	Dispatcher1 <bool> m_signalConnection;
	Dispatcher1 <int> m_signalAuthentication;
	Dispatcher2 <CffIO::pCffIOError, bool> m_signalNetworkThreadError;

protected:
	Gtk::Entry *m_entryUser;
	Gtk::Entry *m_entryPwd;
	Gtk::Button* m_butOk;
	Gtk::Statusbar* m_pStatusbar;


public:
	CDlgAuthentication();
	virtual ~CDlgAuthentication()
	{}
	

protected:
	void initGUI();
	// signal handlers for the network thread
	void on_Connection(bool bConnected);
	void on_Authentication(int nAuthenticated);
	void on_networkthread_error(CffIO::pCffIOError pErr, bool bDisconnected);

	void on_butOk_clicked();
	void on_entry_changed();
	bool on_idle();

public:
	void run();
};

#endif
